<!--Genera de manera dinamica Tabpanels, dependiendo de el número de secciónes, para dentro de ellos generar los campos-->
<p-tabView [(activeIndex)]="activeIndex">
  <p-tabPanel style="width: 100%;" header={{section.nameSection}} [leftIcon]="section.leftIcon"
    [rightIcon]="section.rightIcon" *ngFor="let section of sections;let i = index">
    <section class="grid flex justify-content-center" [ngClass]="styleClass" [formGroup]="form">
      <ng-container *ngFor="let field of section.forms" [formGroupName]="section.formGroupName">
        <ng-container *ngIf="field.group; else elseTemplate">
          <!-- * Define column size -->
          <div [class]="field.colSize">
            <ng-container *ngFor="let subfield of field.group">
              <!-- * Find and use type of control -->
              <app-form-factory-core [field]="subfield"></app-form-factory-core>
            </ng-container>
          </div>
        </ng-container>
        <!-- * IF - single field -->
        <ng-template #elseTemplate>
          <!-- * Define column size -->
          <div [class]="field.colSize">
            <app-form-factory-core [field]="field"></app-form-factory-core>
          </div>
        </ng-template>
      </ng-container>
    </section>

    <section class="grid flex justify-content-center" style="margin: 0 5px 0 5px;">
      <div [class]="section.colSize" class="flex flex-column ">
        <div>
          <button pButton pRipple type="button" icon="pi pi-check" label="Guardar"
            class="p-button-outlined p-button-sm mb-3 " (click)="onClickSave(section)">
          </button>
          <button pButton pRipple type="button" icon="pi pi-times" label="Cancelar"
            class="p-button-outlined p-button-sm mb-3 p-button-danger ml-2"
            (click)="onClickCancel(section.formGroupName)">
          </button>
        </div>

        <div>
          <button *ngIf="activeIndex!=0" pButton pRipple type="button" icon="pi pi-chevron-left" label="Anterior"
            class="p-button-sm mb-3 p-button-link" style="float: left;" (click)="openPrev()">
          </button>
          <button *ngIf="sections.length-1 != activeIndex" pButton pRipple type="button" icon="pi pi-chevron-right"
            iconPos="right" label="Siguiente" class="p-button-sm mb-3 ml-2 p-button-link " style="float: right;"
            (click)="openNext()">
          </button>
        </div>
      </div>
    </section>

  </p-tabPanel>
</p-tabView>